Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-notification-daemon: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:49:25 +0000

---
 testing/mate-notification-daemon/APKBUILD | 43 +++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/mate-notification-daemon/APKBUILD
diff --git a/testing/mate-notification-daemon/APKBUILD b/testing/mate-notification-daemon/APKBUILD
new file mode 100644
index 0000000..ce25b46
--- /dev/null
+++ b/testing/mate-notification-daemon/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-notification-daemon
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="Small, passive popup dialogs that notify the user of particular events"
+url="https://github.com/mate-desktop/mate-notification-daemon"
+arch="all"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="$depends_dev libwnck-dev libnotify-dev autoconf automake libtool
+	intltool glib-dev startup-notification-dev dbus-glib-dev libcanberra-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="d16d7315cadf475dbee5c72492d418aa  mate-notification-daemon-1.9.1.tar.xz"
+sha256sums="f00feeb38c56fdcabef5cc9a134a8e9da888033d20bdf60a7649c2f7b5160597  mate-notification-daemon-1.9.1.tar.xz"
+sha512sums="71f5125e47d9b0c0ddb3a80302a3fc66f78c512b775413d2e550aa7b928aea064954a1744bfdad3d1217885fcfff73bd958cbbb3115924b5b282afae00a1b47a  mate-notification-daemon-1.9.1.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:49:25 GMT